# Appointments Types

Use the `appointmentTypes` query to retrieve the list of appointment types created within the coaching portal. Use this if the third party has access to the [*Coaching Portal*](https://docs.suggestic.com/coaching-portal/)

### Available Fields

|     **Field**    | **Type** |                   **Description**                  |
| :--------------: | :------: | :------------------------------------------------: |
|      `title`     |  String  |                Appointment Type Name               |
|        id        |    ID    |             ID of the appointment type             |
| `numberofMember` |    Int   |     Number of members added to the appointment     |
|   `contactType`  |  String  | Contact type. It could be: `zoom` or `google meet` |
|   `durationMin`  |    Int   |       Meeting duration. Expressed in minutes.      |

## Example

{% tabs %}
{% tab title="Request" %}

```graphql
{
  appointmentTypes {
    edges {
      node {
        title
        numberOfMember
        contactType
        durationMin
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "appointmentTypes ": {
      "edges": [
        {
          "node": {
            "title": "Initial Call",
            "numberOfMember": "5",
            "contactType": "zoom",
            "durationMin": 10
        }
       }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/appointments/appointments-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
